body {
    height: 100vh;
    background-color: #dadff7;
    margin: 0;
    font-family: "Roboto Mono", monospace;
}

.calculator {
    width: 1000px;
    background-color: #071013;
    padding: 50px 30px;
    margin: auto;
    margin-top: 50px;
    border-radius: 8px;
    box-shadow: 0 20px 50px rgba(0, 5, 24, 0.4);
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    gap: 25px;
}
.calculation {
    grid-column: span 6;
}

.history {
    grid-column: span 4;
}

#historyTitle {
    color: aliceblue;
    text-align: center;
}

.display input {
    width: 100%;
    padding: 15px 10px;
    font-size: 35px;
    background-color: transparent;
    color: white;
    border: none;
    text-align: right;
}
.display input::placeholder {
    color: #9490ac;
}

.buttons {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 20px;
    margin-top: 40px;
}

button {
    font-size: 20px;
    padding: 17px;
    border: none;
    border-radius: 10px;
    color: white;
    cursor: pointer;
}

.digit-button {
    background-color: #6c6a6a;
}
.digit-button:hover {
    background-color: #6c6a6aa8;
}

.operation-button {
    background-color: #f69906;
}
.operation-button:hover {
    background-color: #f69906a8;
}

#equal {
    grid-row: span 2;
    background-color: #f9544c;
}
#equal:hover {
    background-color: #f9544ca8;
}
#zero {
    grid-column: span 2;
}

.side-button {
    background-color: #333;
}
.side-button:hover {
    background-color: #333333a8;
}

.btn-sm {
    font-size: 10px;
    padding: 5px;
    border: none;
    cursor: pointer;
    margin: 5px;
    border-radius: 5px;
}